ffmsindex-2.23.1-4.20.x86_64.rpm


Advertisement

Description

ffmsindex - Wrapper library around libffmpeg

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Multimedia Libs all
Package name ffmsindex
Package version 2.23.1
Package release 4.20
Package architecture x86_64
Package type rpm
Installed size 18.68 KB
Download size 18.97 KB
Official Mirror ftp.gwdg.de
FFmpegSource (usually known as FFMS or FFMS2) is a wrapper
library around FFmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

Alternatives

Package Version Architecture Repository
ffmsindex-2.23.1-4.20.i586.rpm 2.23.1 i586 openSUSE Multimedia Libs
ffmsindex-2.23.1-1.1.i586.rpm 2.23.1 i586 openSUSE Oss
ffmsindex-2.23.1-1.1.x86_64.rpm 2.23.1 x86_64 openSUSE Oss
ffmsindex - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libffms2.so.4()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -

Provides

Name Value
ffmsindex = 2.23.1-4.20
ffmsindex(x86-64) = 2.23.1-4.20

Download

Type URL
Binary Package ffmsindex-2.23.1-4.20.x86_64.rpm
Source Package ffms2-2.23.1-4.20.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ opensuse-multimedia-libs
  2. Install ffmsindex rpm package:
    # zypper install ffmsindex

Files

Path
/usr/bin/ffmsindex

Changelog

2017-06-28 - jengelh@inai.de
- Rectify RPM group and trim filler words.
2017-02-23 - mimi.vx@gmail.com
- update to 2.23.1
* Updated FFmpeg APIs used
* Added new API that can read/write indexes to a memory buffer
* Added support for high bitdepth output in Avisynth+
* vapoursource: Add nfMakeLinear flag to better performance in most cases
* Remove bad colorspace matrix guessing for YUV
* Tell libavformat to discard packets we don't want
* Restore original FFCopyrightInfringement behavior
* Make FFMS_Init threadsafe
* Support latest libav* APIs
2016-05-01 - aloisio@gmx.com
- Update to 2.22
* Fix possible off by 1 frame until first seek issue introduced
in 2.21 (Myrsloik)
* avisynth: Make FFMS2 a shorter alias for FFmpegSource2 to save
some typing (Myrsloik)
* avisynth: Moved all source functions in ffms2.avsi into the
actual plugin (Myrsloik)
* avisynth: Use 2.6 RC API and add output support for all new
colorspaces (Myrsloik)
* vapoursource: Fix swapped RGB channels bug introduced in
2.21 (Myrsloik)
* swscale: Drop pointless and slow bitexact flag from resizer
settings (kodabb)
* Add support for files with gaps between the audio packets
(Plorkyeran)
2.21:
* Add missing constants for log levels (Myrsloik)
* Fix bad decoder flush that discards the palette of raw video
(Myrsloik)
* Remove the SWScale function from Avisynth since SWScale is
useless (Myrsloik)
* Fix common framerate correction (Myrsloik)
* vapoursource: The framerate and frame durations are now
normalized (Myrsloik)
* vapoursource: Add support for outputting the alpha channel
too (Myrsloik)
* vapoursource: Fix resizer selection so bicubic isn't always
used (Myrsloik)
* vapoursource: Set chroma location and full colorspace
information (Myrsloik)
* Add support for indexing files with more than 32 tracks and
the possibility to skip indexing of video tracks (Myrsloik)
* The Avisynth plugin now sets all per frame variables in all
modes to avoid ugly and slow FFInfo() errors (Myrsloik)
* vapoursource: Fix crash on single frame files (Myrsloik)
* Remove the Matroska and Haali demuxers (qyot27, Plorkyeran)
* Fix adjustments for positive audio delay (tophf)
* Don't try to index video tracks in unsupported formats
(Daemon404)
* Don't use scientific notation in timecode files (Daemon404)
* Fix utf8 support in FFVideoSource (nixxquality)
* Improve handling of files where only some packets have
timestamps (Plorkyeran)
* Fix memory leaks in the VapourSynth error handling (Plorkyeran)
2.20:
* Add support for Opus in MKV when ffmpeg/libav are built with
libopus (qyot27)
* vapoursource: Provide _AbsoluteTime metadata (Daemon404)
* Fix a pile of small things found by Coverity (Daemon404)
* Add support for HEVC in MKV (qyot27)
* Fix infinite loop on garbage data at the beginning of AAC
files (Plorkyeran)
* Deal with the never-ending bitrot from FFmpeg/Libav API changes
(Daemon404, Plorkyeran)
* Make indexes not arch-specific and trivially smaller (Plorkyeran)
* Fix bug where the first b-frame was replaced with the frame
before it with open-gop h.264 (Plorkyeran)
* Fix seeking issues with open-gop h.264 (Plorkyeran)
* Fix corruption when seeking in interlaced h.264 (Plorkyeran)
* Add support for multiple frames per audio packet as FFmpeg seems
to have started doing that (Plorkyeran)
* Fix seeking in Y4M files (Plorkyeran)
* Fix dumping audio while indexing files
* Add support for Matroska files with extremely large CodecPrivate
sections
* Speed up indexing Matroska files a bit
- Bumped soname to 4
- Switched to ffmpeg 3.0
2016-02-17 - olaf@aepfle.de
- Remove unused Requires from pkgconfig file
2015-09-22 - olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
2014-04-21 - i@margueirte.su
- update version 2.19.2
- drop patch: ffms2-2.17-ffmpeg_011.patch, upstreamed
- drop patch: ffms2-2.17-ffmpeg_10.patch, upstreamed
- drop patch: ffms2-2.17-ffmpeg_20.patch, upstream fixed

See Also

Package Description
ffnvcodec-devel-8.1.24.2-5.1.i586.rpm FFmpeg version of NVIDIA codec API headers
ffnvcodec-devel-8.1.24.2-5.1.x86_64.rpm FFmpeg version of NVIDIA codec API headers
fftw3-devel-3.3.6-81.3.i586.rpm Include Files and Libraries mandatory for Development
fftw3-devel-3.3.6-81.3.x86_64.rpm Include Files and Libraries mandatory for Development
fftw3-gnu-hpc-devel-3.3.6-81.5.i586.rpm Dependency package for fftw3_3_3_6-gnu-hpc-devel
fftw3-gnu-hpc-devel-3.3.6-81.5.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.6-81.5.i586.rpm Dependency package for fftw3_3_3_6-gnu-mpich-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.6-81.5.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mpich-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.6-81.5.i586.rpm Dependency package for fftw3_3_3_6-gnu-mvapich2-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.6-81.5.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mvapich2-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.6-81.5.i586.rpm Dependency package for fftw3_3_3_6-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.6-81.5.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi2-hpc-devel-3.3.6-81.5.i586.rpm Dependency package for fftw3_3_3_6-gnu-openmpi2-hpc-devel
fftw3-gnu-openmpi2-hpc-devel-3.3.6-81.5.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi2-hpc-devel
fftw3-gnu-openmpi3-hpc-devel-3.3.6-81.6.i586.rpm Dependency package for fftw3_3_3_6-gnu-openmpi3-hpc-devel
Advertisement
Advertisement